Treasury
Create delegate address
POST
Requires scope wallets:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
application/json- body
signerId*stringLength
1 <= lengthResponse Body
200application/json
delegateAddress and entityKey for this signer
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
403
forbidden: on-chain limits are a treasury feature — signerId is not a passkey enrolled on this treasury
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X POST 'https://api.pilot.shiga.io/v1/limits/delegates' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "signerId": "string"}'Example Response
{ "data": { "delegateAddress": "string", "entityKey": "string" }, "status": 200, "success": true}